/// Generated By XFlutter Cli.
/// 
/// more info: https://xflutter-cli.aghiadodeh.com
import 'package:flutter/material.dart';
import 'flex_utils.dart';

class FlexWidget extends StatelessWidget {
  /// rendered widget in very small screen size
  final Widget? xs;

  /// rendered widget in small screen size
  final Widget? sm;

  /// rendered widget in medium screen size
  final Widget? md;

  /// rendered widget in large screen size
  final Widget lg;

  /// rendered widget in very large screen size
  final Widget? xl;

  /// rendered widget in tablet screen size
  final Widget? xxl;

  /// rendered widget in desktop screen size
  final Widget? xxxl;

  /// render widget by screen size
  const FlexWidget({
    this.xs,
    this.sm,
    this.md,
    required this.lg,
    this.xl,
    this.xxl,
    this.xxxl,
    Key? key,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    switch (flexSize) {
      case FlexSize.xs:
        return xs ?? sm ?? md ?? lg;
      case FlexSize.sm:
        return sm ?? md ?? lg;
      case FlexSize.md:
        return md ?? lg;
      case FlexSize.lg:
        return lg;
      case FlexSize.xl:
        return xl ?? lg;
      case FlexSize.xxl:
        return xxl ?? xl ?? lg;
      case FlexSize.xxxl:
        return xxxl ?? xxl ?? lg;
    }
  }
}
